Bug 244200 - net-mgmt/prometheus1: fix build on aarch64
Summary: net-mgmt/prometheus1: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-17 18:39 UTC by Mikael Urankar
Modified: 2020-03-18 17:55 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+


Attachments
patch (2.08 KB, patch)
2020-02-17 18:39 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-17 18:39:57 UTC
Created attachment 211728 [details]
patch

update golang.org/x/sys to fix build on aarch64
also trim whitespace in pkg-descr
Comment 1 Emmanuel Vadot freebsd_committer 2020-03-04 19:16:00 UTC
Approved-by: manu (mentor)
When maintainer approved or after maintainer timeout.
Comment 2 commit-hook freebsd_committer 2020-03-18 11:02:51 UTC
A commit references this bug:

Author: mikael
Date: Wed Mar 18 11:02:05 UTC 2020
New revision: 528643
URL: https://svnweb.freebsd.org/changeset/ports/528643

Log:
  net-mgmt/prometheus1: unbreak on aarch64

  Update golang.org/x/sys to fix build on aarch64

  PR:		244200
  Approved by:	ports@ecadlabs.com (maintainer timeout), manu (mentor)

Changes:
  head/net-mgmt/prometheus1/Makefile
  head/net-mgmt/prometheus1/distinfo
  head/net-mgmt/prometheus1/pkg-descr